Bug 914925 - Review Request: nodejs-passport - Simple, unobtrusive authentication for Node.js
Summary: Review Request: nodejs-passport - Simple, unobtrusive authentication for Node.js
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 914926
TreeView+ depends on / blocked
 
Reported: 2013-02-23 13:13 UTC by Tom Hughes
Modified: 2013-04-07 00:39 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-07 00:39:35 UTC
jamielinux: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2013-02-23 13:13:10 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-passport.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-passport-0.1.15-2.fc18.src.rpm
Fedora Account System Username: tomh

Description:
Passport is an authentication framework for Connect and Express, which
is extensible through "plugins" known as strategies.

Passport is designed to be a general-purpose, yet simple, modular, and
unobtrusive, authentication framework. Passport's sole purpose is to
authenticate requests. In being modular, it doesn't force any particular
authentication strategy on your application. In being unobtrusive, it
doesn't mount routes in your application. The API is simple: you give
Passport a request to authenticate, and Passport provides hooks for
controlling what occurs when authentication succeeds or fails.

Comment 1 Jamie Nguyen 2013-03-02 15:07:10 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

[!]: Latest version is packaged.

0.1.16 released a couple days ago:
https://github.com/jaredhanson/passport/tags


[!]: %check is present and all tests pass.

Needs:

  BuildRequires: npm(pkginfo)

And the modules need to be made available when running the tests:

  %check
  cp -pr %{nodejs_sitelib} .


But all tests pass otherwise.



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (passport-0.1.15.tgz) Source1 (passport-
     tests-v0.1.15.tar.bz2) Source10 (passport-dl-tests.sh)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: nodejs-passport-0.1.15-2.fc18.noarch.rpm
          nodejs-passport-0.1.15-2.fc18.src.rpm
nodejs-passport.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-passport.noarch: W: only-non-binary-in-usr-lib
nodejs-passport.noarch: W: dangling-symlink /usr/lib/node_modules/passport/node_modules/pkginfo /usr/lib/node_modules/pkginfo
nodejs-passport.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-passport.src: W: strange-permission passport-dl-tests.sh 0775L
nodejs-passport.src: W: invalid-url Source1: passport-tests-v0.1.15.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-passport
nodejs-passport.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-passport.noarch: W: only-non-binary-in-usr-lib
nodejs-passport.noarch: W: dangling-symlink /usr/lib/node_modules/passport/node_modules/pkginfo /usr/lib/node_modules/pkginfo
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-passport-0.1.15-2.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    nodejs(engine) >= 0.4.0
    npm(pkginfo) < 0.4
    npm(pkginfo) >= 0.3.0



Provides
--------
nodejs-passport-0.1.15-2.fc18.noarch.rpm:
    
    nodejs-passport = 0.1.15-2.fc18
    npm(passport) = 0.1.15



MD5-sum check
-------------
http://registry.npmjs.org/passport/-/passport-0.1.15.tgz :
  CHECKSUM(SHA256) this package     : 20548d6d4b893faf3ed46313c05ddb416e4b4a09a88b077076257f06aeaaac30
  CHECKSUM(SHA256) upstream package : 20548d6d4b893faf3ed46313c05ddb416e4b4a09a88b077076257f06aeaaac30


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review --rpm-spec -n nodejs-passport-0.1.15-2.fc18.src.rpm

Comment 2 Tom Hughes 2013-03-02 15:48:10 UTC
Updated version, added BR and linked in node_modules:

Spec URL: http://download.compton.nu/nodejs/nodejs-passport.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-passport-0.1.16-1.fc18.src.rpm

Comment 3 Jamie Nguyen 2013-03-02 15:55:39 UTC
The new changelog entry has a typo:
- BuildRequre pkginfo for tests

But otherwise, package approved!

Comment 4 Tom Hughes 2013-03-02 15:57:38 UTC
New Package SCM Request
=======================
Package Name: nodejs-passport
Short Description: Simple, unobtrusive authentication for Node.js
Owners: tomh
Branches: f18
InitialCC:

Comment 5 Gwyn Ciesla 2013-03-04 13:37:51 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-03-04 14:55:58 UTC
nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-3075/nodejs-passport-0.1.16-1.fc18,nodejs-sphericalmercator-1.0.2-1.fc18,nodejs-mapnik-reference-5.0.4-2.fc18,nodejs-chrono-1.0.4-1.fc18

Comment 7 Fedora Update System 2013-03-04 22:29:21 UTC
nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 8 Fedora Update System 2013-03-05 23:22:57 UTC
nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-xml2js-0.2.6-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-03-06 23:01:31 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 10 Fedora Update System 2013-03-10 00:55:41 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 11 Fedora Update System 2013-03-12 08:31:49 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-millstone-0.5.15-1.fc18, nodejs-oauth-0.9.10-1.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Fedora Update System 2013-03-12 23:30:03 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-millstone-0.5.15-1.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 13 Fedora Update System 2013-03-15 00:06:43 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-millstone-0.5.15-2.fc18, nodejs-srs-0.2.20-2.fc18, nodejs-sqlite3-2.1.5-4.fc18, nodejs-zipfile-0.3.4-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 14 Fedora Update System 2013-04-07 00:39:37 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-millstone-0.5.15-2.fc18, nodejs-srs-0.2.20-2.fc18, nodejs-sqlite3-2.1.5-4.fc18, nodejs-zipfile-0.3.4-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.